(() => {
  var __getOwnPropNames = Object.getOwnPropertyNames;
  var __commonJS = (cb, mod) => function __require() {
    return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
  };

  // lib/client/minimax/index.js
  var require_minimax = __commonJS({
    "lib/client/minimax/index.js"(exports, module) {
      module.exports = minimax2;
      function minimax2(node, selector) {
        const my = {
          trigger: node.querySelector(selector),
          state: "open",
          fn() {
          }
        };
        const self = {
          state: state2,
          on
        };
        function onclick(e) {
          e.preventDefault();
          const state3 = node.classList.toggle(my.state);
          my.fn.call(null, state3);
        }
        function state2(s) {
          my.state = s;
          return self;
        }
        function on(fn) {
          my.fn = fn;
          return self;
        }
        if (my.trigger) {
          my.trigger.addEventListener("click", onclick);
        }
        return self;
      }
    }
  });

  // lib/client/resort/dom.js
  var require_dom = __commonJS({
    "lib/client/resort/dom.js"(exports, module) {
      function removeAllChildren(node) {
        while (node.hasChildNodes()) {
          node.removeChild(node.lastChild);
        }
      }
      function next({ nextElementSibling, nextSibling }) {
        return nextElementSibling || nextSibling;
      }
      module.exports = {
        next,
        removeAllChildren
      };
    }
  });

  // lib/client/resort/lifts.js
  var require_lifts = __commonJS({
    "lib/client/resort/lifts.js"(exports, module) {
      var dom = require_dom();
      module.exports = render;
      module.exports.section = 0;
      module.exports.type = "lifts";
      var states = ["open", "hold", "scheduled", "closed"];
      function renderStatus(node, status) {
        dom.removeAllChildren(node);
        if (status) {
          node.innerHTML = Object.keys(status).map((name) => {
            const klass = `status ls-${status[name]}`;
            return `<li class="lift"><span class="name">${name}</span><span class="${klass}"></span></li>`;
          }).join("");
        }
      }
      function renderStats(node, stats2) {
        states.forEach(
          (s) => node.querySelector(`.ls-${s}`).innerHTML = stats2 ? stats2[s] : 0
        );
      }
      function renderColorBar(node, percentage) {
        states.forEach((state2) => {
          const width = `width:${percentage ? percentage[state2] : 25}%;`;
          node.querySelector(`.${state2}`).setAttribute("style", width);
        });
      }
      function render(node, { status, stats: stats2 }) {
        renderStatus(node.querySelector(".lifts"), status);
        renderStats(node.querySelector(".summary"), stats2);
        renderColorBar(node.querySelector(".summary-color-bar"), stats2.percentage);
      }
    }
  });

  // node_modules/el-component/index.js
  var require_el_component = __commonJS({
    "node_modules/el-component/index.js"(exports, module) {
      var voids = [
        "area",
        "base",
        "br",
        "col",
        "embed",
        "hr",
        "img",
        "input",
        "keygen",
        "link",
        "menuitem",
        "meta",
        "param",
        "source",
        "track",
        "wbr"
      ].reduce(function(o, v) {
        o[v] = true;
        return o;
      }, /* @__PURE__ */ Object.create(null));
      function htmlTag(tag2, content, attrStr) {
        var text = [
          "<",
          tag2,
          attrStr ? " " + attrStr : "",
          ">"
        ];
        if (!voids[tag2]) {
          text = text.concat([
            content || "",
            "</",
            tag2,
            ">"
          ]);
        }
        return text;
      }
      function xmlTag(tag2, content, attrStr) {
        var text = [
          "<",
          tag2,
          attrStr ? " " + attrStr : ""
        ];
        if (!content || !content.length) {
          text.push("/>");
        } else {
          text = text.concat([
            ">",
            content,
            "</",
            tag2,
            ">"
          ]);
        }
        return text;
      }
      function toStr(tagFn, tag2, content, attrs) {
        var attrStr, classes, ids;
        if (typeof content !== "string") {
          attrs = content;
          content = "";
        }
        tag2 = tag2 || "";
        attrs = attrs || {};
        classes = tag2.split(".");
        tag2 = classes.shift() || "div";
        if (classes.length) {
          classes = classes.join(" ");
          if (attrs["class"]) {
            attrs["class"] += " " + classes;
          } else {
            attrs["class"] = classes;
          }
        }
        ids = tag2.split("#");
        if (ids.length > 1) {
          tag2 = ids[0] || "div";
          attrs.id = ids[1];
        }
        attrStr = Object.keys(attrs).map(function(attr) {
          return attr + '="' + attrs[attr] + '"';
        }).join(" ");
        return tagFn(tag2, content, attrStr).join("");
      }
      module.exports = toStr.bind(null, htmlTag);
      module.exports.xml = toStr.bind(null, xmlTag);
    }
  });

  // node_modules/approximate-time/index.js
  var require_approximate_time = __commonJS({
    "node_modules/approximate-time/index.js"(exports, module) {
      var round = Math.round;
      module.exports = function(date) {
        var now = new Date();
        var t;
        var diff = date > now ? date - now : now - date;
        if (1e3 > diff)
          return "just now";
        if (60 > (t = round(diff / 1e3)))
          return format(t, "second");
        if (60 > (t = round(diff / 6e4)))
          return format(t, "minute");
        if (24 > (t = round(diff / 36e5)))
          return format(t, "hour");
        if (7 > (t = round(diff / 864e5)))
          return format(t, "day");
        if (4.34812 > (t = diff / 6048e5))
          return format(round(t), "week");
        if (12 > (t = round(diff / 263e7)))
          return format(t, "month");
        if (10 > (t = round(diff / 3156e7)))
          return format(t, "year");
        return format(round(diff / 3156e8), "decade");
      };
      function format(n, unit) {
        var a = "hour" == unit ? "an" : "a";
        unit = 1 == n ? unit : unit + "s";
        return (1 == n ? a : n) + " " + unit;
      }
    }
  });

  // node_modules/yields-ago/index.js
  var require_yields_ago = __commonJS({
    "node_modules/yields-ago/index.js"(exports, module) {
      var time = require_approximate_time();
      module.exports = function(date) {
        if (new Date() < date)
          return "";
        var ret = time(date);
        return "just now" != ret ? ret + " ago" : ret;
      };
    }
  });

  // node_modules/unicode-substring/index.js
  var require_unicode_substring = __commonJS({
    "node_modules/unicode-substring/index.js"(exports, module) {
      function charAt(string, index) {
        var first = string.charCodeAt(index);
        var second;
        if (first >= 55296 && first <= 56319 && string.length > index + 1) {
          second = string.charCodeAt(index + 1);
          if (second >= 56320 && second <= 57343) {
            return string.substring(index, index + 2);
          }
        }
        return string[index];
      }
      function slice(string, start, end) {
        var accumulator = "";
        var character;
        var stringIndex = 0;
        var unicodeIndex = 0;
        var length = string.length;
        while (stringIndex < length) {
          character = charAt(string, stringIndex);
          if (unicodeIndex >= start && unicodeIndex < end) {
            accumulator += character;
          }
          stringIndex += character.length;
          unicodeIndex += 1;
        }
        return accumulator;
      }
      function toNumber(value, fallback) {
        if (value === void 0) {
          return fallback;
        } else {
          return Number(value);
        }
      }
      module.exports = function(string, start, end) {
        var realStart = toNumber(start, 0);
        var realEnd = toNumber(end, string.length);
        if (realEnd == realStart) {
          return "";
        } else if (realEnd > realStart) {
          return slice(string, realStart, realEnd);
        } else {
          return slice(string, realEnd, realStart);
        }
      };
    }
  });

  // node_modules/twemoji-parser/dist/lib/regex.js
  var require_regex = __commonJS({
    "node_modules/twemoji-parser/dist/lib/regex.js"(exports) {
      "use strict";
      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.default = /(?:\ud83d\udc68\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83e\uddd1\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83e\uddd1\ud83c[\udffc-\udfff]|\ud83e\uddd1\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83e\uddd1\ud83c[\udffb\udffd-\udfff]|\ud83e\uddd1\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83e\uddd1\ud83c[\udffb\udffc\udffe\udfff]|\ud83e\uddd1\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83e\uddd1\ud83c[\udffb-\udffd\udfff]|\ud83e\uddd1\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83e\uddd1\ud83c[\udffb-\udffe]|\ud83d\udc68\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffb\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffc-\udfff]|\ud83d\udc68\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffc\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb\udffd-\udfff]|\ud83d\udc68\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffd\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb\udffc\udffe\udfff]|\ud83d\udc68\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udffe\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb-\udffd\udfff]|\ud83d\udc68\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc68\ud83c\udfff\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb-\udffe]|\ud83d\udc69\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffb\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffc-\udfff]|\ud83d\udc69\ud83c\udffb\u200d\ud83e\udd1d\u200d\ud83d\udc69\ud83c[\udffc-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb\udffd-\udfff]|\ud83d\udc69\ud83c\udffc\u200d\ud83e\udd1d\u200d\ud83d\udc69\ud83c[\udffb\udffd-\udfff]|\ud83d\udc69\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffd\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb\udffc\udffe\udfff]|\ud83d\udc69\ud83c\udffd\u200d\ud83e\udd1d\u200d\ud83d\udc69\ud83c[\udffb\udffc\udffe\udfff]|\ud83d\udc69\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udffe\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb-\udffd\udfff]|\ud83d\udc69\ud83c\udffe\u200d\ud83e\udd1d\u200d\ud83d\udc69\ud83c[\udffb-\udffd\udfff]|\ud83d\udc69\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc68\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83d\udc69\ud83c[\udffb-\udfff]|\ud83d\udc69\ud83c\udfff\u200d\ud83e\udd1d\u200d\ud83d\udc68\ud83c[\udffb-\udffe]|\ud83d\udc69\ud83c\udfff\u200d\ud83e\udd1d\u200d\ud83d\udc69\ud83c[\udffb-\udffe]|\ud83e\uddd1\ud83c\udffb\u200d\u2764\ufe0f\u200d\ud83e\uddd1\ud83c[\udffc-\udfff]|\ud83e\uddd1\ud83c\udffb\u200d\ud83e\udd1d\u200d\ud83e\uddd1\ud83c[\udffb-\udfff]|\ud83e\uddd1\ud83c\udffc\u200d\u2764\ufe0f\u200d\ud83e\uddd1\ud83c[\udffb\udffd-\udfff]|\ud83e\uddd1\ud83c\udffc\u200d\ud83e\udd1d\u200d\ud83e\uddd1\ud83c[\udffb-\udfff]|\ud83e\uddd1\ud83c\udffd\u200d\u2764\ufe0f\u200d\ud83e\uddd1\ud83c[\udffb\udffc\udffe\udfff]|\ud83e\uddd1\ud83c\udffd\u200d\ud83e\udd1d\u200d\ud83e\uddd1\ud83c[\udffb-\udfff]|\ud83e\uddd1\ud83c\udffe\u200d\u2764\ufe0f\u200d\ud83e\uddd1\ud83c[\udffb-\udffd\udfff]|\ud83e\uddd1\ud83c\udffe\u200d\ud83e\udd1d\u200d\ud83e\uddd1\ud83c[\udffb-\udfff]|\ud83e\uddd1\ud83c\udfff\u200d\u2764\ufe0f\u200d\ud83e\uddd1\ud83c[\udffb-\udffe]|\ud83e\uddd1\ud83c\udfff\u200d\ud83e\udd1d\u200d\ud83e\uddd1\ud83c[\udffb-\udfff]|\ud83d\udc68\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d\udc68|\ud83d\udc69\u200d\u2764\ufe0f\u200d\ud83d\udc8b\u200d\ud83d[\udc68\udc69]|\ud83d\udc68\u200d\u2764\ufe0f\u200d\ud83d\udc68|\ud83d\udc69\u200d\u2764\ufe0f\u200d\ud83d[\udc68\udc69]|\ud83e\uddd1\u200d\ud83e\udd1d\u200d\ud83e\uddd1|\ud83d\udc6b\ud83c[\udffb-\udfff]|\ud83d\udc6c\ud83c[\udffb-\udfff]|\ud83d\udc6d\ud83c[\udffb-\udfff]|\ud83d\udc8f\ud83c[\udffb-\udfff]|\ud83d\udc91\ud83c[\udffb-\udfff]|\ud83d[\udc6b-\udc6d\udc8f\udc91])|(?:\ud83d[\udc68\udc69]|\ud83e\uddd1)(?:\ud83c[\udffb-\udfff])?\u200d(?:\u2695\ufe0f|\u2696\ufe0f|\u2708\ufe0f|\ud83c[\udf3e\udf73\udf7c\udf84\udf93\udfa4\udfa8\udfeb\udfed]|\ud83d[\udcbb\udcbc\udd27\udd2c\ude80\ude92]|\ud83e[\uddaf-\uddb3\uddbc\uddbd])|(?:\ud83c[\udfcb\udfcc]|\ud83d[\udd74\udd75]|\u26f9)((?:\ud83c[\udffb-\udfff]|\ufe0f)\u200d[\u2640\u2642]\ufe0f)|(?:\ud83c[\udfc3\udfc4\udfca]|\ud83d[\udc6e\udc70\udc71\udc73\udc77\udc81\udc82\udc86\udc87\ude45-\ude47\ude4b\ude4d\ude4e\udea3\udeb4-\udeb6]|\ud83e[\udd26\udd35\udd37-\udd39\udd3d\udd3e\uddb8\uddb9\uddcd-\uddcf\uddd4\uddd6-\udddd])(?:\ud83c[\udffb-\udfff])?\u200d[\u2640\u2642]\ufe0f|(?:\ud83d\udc68\u200d\ud83d\udc68\u200d\ud83d\udc66\u200d\ud83d\udc66|\ud83d\udc68\u200d\ud83d\udc68\u200d\ud83d\udc67\u200d\ud83d[\udc66\udc67]|\ud83d\udc68\u200d\ud83d\udc69\u200d\ud83d\udc66\u200d\ud83d\udc66|\ud83d\udc68\u200d\ud83d\udc69\u200d\ud83d\udc67\u200d\ud83d[\udc66\udc67]|\ud83d\udc69\u200d\ud83d\udc69\u200d\ud83d\udc66\u200d\ud83d\udc66|\ud83d\udc69\u200d\ud83d\udc69\u200d\ud83d\udc67\u200d\ud83d[\udc66\udc67]|\ud83d\udc68\u200d\ud83d\udc66\u200d\ud83d\udc66|\ud83d\udc68\u200d\ud83d\udc67\u200d\ud83d[\udc66\udc67]|\ud83d\udc68\u200d\ud83d\udc68\u200d\ud83d[\udc66\udc67]|\ud83d\udc68\u200d\ud83d\udc69\u200d\ud83d[\udc66\udc67]|\ud83d\udc69\u200d\ud83d\udc66\u200d\ud83d\udc66|\ud83d\udc69\u200d\ud83d\udc67\u200d\ud83d[\udc66\udc67]|\ud83d\udc69\u200d\ud83d\udc69\u200d\ud83d[\udc66\udc67]|\ud83c\udff3\ufe0f\u200d\u26a7\ufe0f|\ud83c\udff3\ufe0f\u200d\ud83c\udf08|\ud83d\ude36\u200d\ud83c\udf2b\ufe0f|\u2764\ufe0f\u200d\ud83d\udd25|\u2764\ufe0f\u200d\ud83e\ude79|\ud83c\udff4\u200d\u2620\ufe0f|\ud83d\udc15\u200d\ud83e\uddba|\ud83d\udc3b\u200d\u2744\ufe0f|\ud83d\udc41\u200d\ud83d\udde8|\ud83d\udc68\u200d\ud83d[\udc66\udc67]|\ud83d\udc69\u200d\ud83d[\udc66\udc67]|\ud83d\udc6f\u200d\u2640\ufe0f|\ud83d\udc6f\u200d\u2642\ufe0f|\ud83d\ude2e\u200d\ud83d\udca8|\ud83d\ude35\u200d\ud83d\udcab|\ud83e\udd3c\u200d\u2640\ufe0f|\ud83e\udd3c\u200d\u2642\ufe0f|\ud83e\uddde\u200d\u2640\ufe0f|\ud83e\uddde\u200d\u2642\ufe0f|\ud83e\udddf\u200d\u2640\ufe0f|\ud83e\udddf\u200d\u2642\ufe0f|\ud83d\udc08\u200d\u2b1b)|[#*0-9]\ufe0f?\u20e3|(?:[©®\u2122\u265f]\ufe0f)|(?:\ud83c[\udc04\udd70\udd71\udd7e\udd7f\ude02\ude1a\ude2f\ude37\udf21\udf24-\udf2c\udf36\udf7d\udf96\udf97\udf99-\udf9b\udf9e\udf9f\udfcd\udfce\udfd4-\udfdf\udff3\udff5\udff7]|\ud83d[\udc3f\udc41\udcfd\udd49\udd4a\udd6f\udd70\udd73\udd76-\udd79\udd87\udd8a-\udd8d\udda5\udda8\uddb1\uddb2\uddbc\uddc2-\uddc4\uddd1-\uddd3\udddc-\uddde\udde1\udde3\udde8\uddef\uddf3\uddfa\udecb\udecd-\udecf\udee0-\udee5\udee9\udef0\udef3]|[\u203c\u2049\u2139\u2194-\u2199\u21a9\u21aa\u231a\u231b\u2328\u23cf\u23ed-\u23ef\u23f1\u23f2\u23f8-\u23fa\u24c2\u25aa\u25ab\u25b6\u25c0\u25fb-\u25fe\u2600-\u2604\u260e\u2611\u2614\u2615\u2618\u2620\u2622\u2623\u2626\u262a\u262e\u262f\u2638-\u263a\u2640\u2642\u2648-\u2653\u2660\u2663\u2665\u2666\u2668\u267b\u267f\u2692-\u2697\u2699\u269b\u269c\u26a0\u26a1\u26a7\u26aa\u26ab\u26b0\u26b1\u26bd\u26be\u26c4\u26c5\u26c8\u26cf\u26d1\u26d3\u26d4\u26e9\u26ea\u26f0-\u26f5\u26f8\u26fa\u26fd\u2702\u2708\u2709\u270f\u2712\u2714\u2716\u271d\u2721\u2733\u2734\u2744\u2747\u2757\u2763\u2764\u27a1\u2934\u2935\u2b05-\u2b07\u2b1b\u2b1c\u2b50\u2b55\u3030\u303d\u3297\u3299])(?:\ufe0f|(?!\ufe0e))|(?:(?:\ud83c[\udfcb\udfcc]|\ud83d[\udd74\udd75\udd90]|[\u261d\u26f7\u26f9\u270c\u270d])(?:\ufe0f|(?!\ufe0e))|(?:\ud83c[\udf85\udfc2-\udfc4\udfc7\udfca]|\ud83d[\udc42\udc43\udc46-\udc50\udc66-\udc69\udc6e\udc70-\udc78\udc7c\udc81-\udc83\udc85-\udc87\udcaa\udd7a\udd95\udd96\ude45-\ude47\ude4b-\ude4f\udea3\udeb4-\udeb6\udec0\udecc]|\ud83e[\udd0c\udd0f\udd18-\udd1c\udd1e\udd1f\udd26\udd30-\udd39\udd3d\udd3e\udd77\uddb5\uddb6\uddb8\uddb9\uddbb\uddcd-\uddcf\uddd1-\udddd]|[\u270a\u270b]))(?:\ud83c[\udffb-\udfff])?|(?:\ud83c\udff4\udb40\udc67\udb40\udc62\udb40\udc65\udb40\udc6e\udb40\udc67\udb40\udc7f|\ud83c\udff4\udb40\udc67\udb40\udc62\udb40\udc73\udb40\udc63\udb40\udc74\udb40\udc7f|\ud83c\udff4\udb40\udc67\udb40\udc62\udb40\udc77\udb40\udc6c\udb40\udc73\udb40\udc7f|\ud83c\udde6\ud83c[\udde8-\uddec\uddee\uddf1\uddf2\uddf4\uddf6-\uddfa\uddfc\uddfd\uddff]|\ud83c\udde7\ud83c[\udde6\udde7\udde9-\uddef\uddf1-\uddf4\uddf6-\uddf9\uddfb\uddfc\uddfe\uddff]|\ud83c\udde8\ud83c[\udde6\udde8\udde9\uddeb-\uddee\uddf0-\uddf5\uddf7\uddfa-\uddff]|\ud83c\udde9\ud83c[\uddea\uddec\uddef\uddf0\uddf2\uddf4\uddff]|\ud83c\uddea\ud83c[\udde6\udde8\uddea\uddec\udded\uddf7-\uddfa]|\ud83c\uddeb\ud83c[\uddee-\uddf0\uddf2\uddf4\uddf7]|\ud83c\uddec\ud83c[\udde6\udde7\udde9-\uddee\uddf1-\uddf3\uddf5-\uddfa\uddfc\uddfe]|\ud83c\udded\ud83c[\uddf0\uddf2\uddf3\uddf7\uddf9\uddfa]|\ud83c\uddee\ud83c[\udde8-\uddea\uddf1-\uddf4\uddf6-\uddf9]|\ud83c\uddef\ud83c[\uddea\uddf2\uddf4\uddf5]|\ud83c\uddf0\ud83c[\uddea\uddec-\uddee\uddf2\uddf3\uddf5\uddf7\uddfc\uddfe\uddff]|\ud83c\uddf1\ud83c[\udde6-\udde8\uddee\uddf0\uddf7-\uddfb\uddfe]|\ud83c\uddf2\ud83c[\udde6\udde8-\udded\uddf0-\uddff]|\ud83c\uddf3\ud83c[\udde6\udde8\uddea-\uddec\uddee\uddf1\uddf4\uddf5\uddf7\uddfa\uddff]|\ud83c\uddf4\ud83c\uddf2|\ud83c\uddf5\ud83c[\udde6\uddea-\udded\uddf0-\uddf3\uddf7-\uddf9\uddfc\uddfe]|\ud83c\uddf6\ud83c\udde6|\ud83c\uddf7\ud83c[\uddea\uddf4\uddf8\uddfa\uddfc]|\ud83c\uddf8\ud83c[\udde6-\uddea\uddec-\uddf4\uddf7-\uddf9\uddfb\uddfd-\uddff]|\ud83c\uddf9\ud83c[\udde6\udde8\udde9\uddeb-\udded\uddef-\uddf4\uddf7\uddf9\uddfb\uddfc\uddff]|\ud83c\uddfa\ud83c[\udde6\uddec\uddf2\uddf3\uddf8\uddfe\uddff]|\ud83c\uddfb\ud83c[\udde6\udde8\uddea\uddec\uddee\uddf3\uddfa]|\ud83c\uddfc\ud83c[\uddeb\uddf8]|\ud83c\uddfd\ud83c\uddf0|\ud83c\uddfe\ud83c[\uddea\uddf9]|\ud83c\uddff\ud83c[\udde6\uddf2\uddfc]|\ud83c[\udccf\udd8e\udd91-\udd9a\udde6-\uddff\ude01\ude32-\ude36\ude38-\ude3a\ude50\ude51\udf00-\udf20\udf2d-\udf35\udf37-\udf7c\udf7e-\udf84\udf86-\udf93\udfa0-\udfc1\udfc5\udfc6\udfc8\udfc9\udfcf-\udfd3\udfe0-\udff0\udff4\udff8-\udfff]|\ud83d[\udc00-\udc3e\udc40\udc44\udc45\udc51-\udc65\udc6a\udc6f\udc79-\udc7b\udc7d-\udc80\udc84\udc88-\udc8e\udc90\udc92-\udca9\udcab-\udcfc\udcff-\udd3d\udd4b-\udd4e\udd50-\udd67\udda4\uddfb-\ude44\ude48-\ude4a\ude80-\udea2\udea4-\udeb3\udeb7-\udebf\udec1-\udec5\uded0-\uded2\uded5-\uded7\udeeb\udeec\udef4-\udefc\udfe0-\udfeb]|\ud83e[\udd0d\udd0e\udd10-\udd17\udd1d\udd20-\udd25\udd27-\udd2f\udd3a\udd3c\udd3f-\udd45\udd47-\udd76\udd78\udd7a-\uddb4\uddb7\uddba\uddbc-\uddcb\uddd0\uddde-\uddff\ude70-\ude74\ude78-\ude7a\ude80-\ude86\ude90-\udea8\udeb0-\udeb6\udec0-\udec2\uded0-\uded6]|[\u23e9-\u23ec\u23f0\u23f3\u267e\u26ce\u2705\u2728\u274c\u274e\u2753-\u2755\u2795-\u2797\u27b0\u27bf\ue50a])|\ufe0f/g;
    }
  });

  // node_modules/twemoji-parser/dist/index.js
  var require_dist = __commonJS({
    "node_modules/twemoji-parser/dist/index.js"(exports) {
      "use strict";
      Object.defineProperty(exports, "__esModule", {
        value: true
      });
      exports.TypeName = void 0;
      exports.parse = parse;
      exports.toCodePoints = toCodePoints;
      var _regex = require_regex();
      var _regex2 = _interopRequireDefault(_regex);
      function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : { default: obj };
      }
      var TypeName = exports.TypeName = "emoji";
      function parse(text, options) {
        var assetType = options && options.assetType ? options.assetType : "svg";
        var getTwemojiUrl = options && options.buildUrl ? options.buildUrl : function(codepoints2, assetType2) {
          return assetType2 === "png" ? "https://twemoji.maxcdn.com/v/latest/72x72/" + codepoints2 + ".png" : "https://twemoji.maxcdn.com/v/latest/svg/" + codepoints2 + ".svg";
        };
        var entities = [];
        _regex2.default.lastIndex = 0;
        while (true) {
          var result = _regex2.default.exec(text);
          if (!result) {
            break;
          }
          var emojiText = result[0];
          var codepoints = toCodePoints(removeVS16s(emojiText)).join("-");
          entities.push({
            url: codepoints ? getTwemojiUrl(codepoints, assetType) : "",
            indices: [result.index, _regex2.default.lastIndex],
            text: emojiText,
            type: TypeName
          });
        }
        return entities;
      }
      var vs16RegExp = /\uFE0F/g;
      var zeroWidthJoiner = String.fromCharCode(8205);
      var removeVS16s = function removeVS16s2(rawEmoji) {
        return rawEmoji.indexOf(zeroWidthJoiner) < 0 ? rawEmoji.replace(vs16RegExp, "") : rawEmoji;
      };
      function toCodePoints(unicodeSurrogates) {
        var points = [];
        var char = 0;
        var previous = 0;
        var i = 0;
        while (i < unicodeSurrogates.length) {
          char = unicodeSurrogates.charCodeAt(i++);
          if (previous) {
            points.push((65536 + (previous - 55296 << 10) + (char - 56320)).toString(16));
            previous = 0;
          } else if (char > 55296 && char <= 56319) {
            previous = char;
          } else {
            points.push(char.toString(16));
          }
        }
        return points;
      }
    }
  });

  // node_modules/tweet-html/index.js
  var require_tweet_html = __commonJS({
    "node_modules/tweet-html/index.js"(exports, module) {
      var ago = require_yields_ago();
      var el = require_el_component();
      var uslice = require_unicode_substring();
      var twemoji = require_dist();
      module.exports = tweet2html;
      function formatDate(created_at) {
        return ago(new Date(created_at));
      }
      function handleEmojis(tweet) {
        const entities = twemoji.parse(tweet.text, { assetType: "svg" });
        if (entities.length > 0) {
          tweet.textAdjustment = entities.map(({ url, indices, text }) => ({
            text: el("img", {
              "class": "emoji",
              draggable: false,
              alt: text,
              src: url
            }),
            indices
          }));
          adjustText(tweet, slice);
        }
        function slice(str, ...rest) {
          return str.slice(...rest);
        }
      }
      function adjustText(tweet, slice = uslice) {
        const text = [];
        let index = 0;
        tweet.textAdjustment.sort((a, b) => a.indices[0] - b.indices[0]).forEach((adj) => {
          text.push(slice(tweet.text, index, adj.indices[0]));
          text.push(adj.text);
          index = adj.indices[1];
        });
        if (index > 0) {
          text.push(slice(tweet.text, index));
          tweet.text = text.join("");
        }
        delete tweet.textAdjustment;
      }
      function createTextAdjustment({ indices, text, href }) {
        const ta = {
          indices,
          text
        };
        if (text && href) {
          ta.text = el("a", text, { href, target: "_blank", rel: "noopener" });
        }
        return ta;
      }
      function parseEntityType(entities, parsed, type, convertFn) {
        if (!entities[type]) {
          return;
        }
        entities[type].forEach((el2) => {
          const opts = convertFn(el2);
          if (opts) {
            if (opts.photo) {
              parsed.photo = opts.photo;
            }
            if (opts.iframe) {
              parsed.iframe = opts.iframe;
            }
            if (opts.video) {
              parsed.video = opts.video;
            }
            const ta = createTextAdjustment(opts);
            parsed.textAdjustment.push(ta);
          }
        });
      }
      var entityParsers = {
        media(media) {
          let data = {
            indices: media.indices,
            text: ""
          };
          switch (media.type) {
            case "photo":
              data.photo = {
                url: media.expanded_url,
                src: media.media_url_https
              };
              break;
            case "youtube":
            case "vimeo":
            case "vine":
              data.iframe = {
                src: media.media_url_https,
                service: `video ${media.type}`
              };
              break;
            case "video":
            case "animated_gif":
              data.video = {
                poster: media.media_url_https,
                source: {}
              };
              media.video_info.variants.forEach(
                ({ content_type, url }) => data.video.source[content_type] = url
              );
              break;
            default:
              data = void 0;
          }
          return data;
        },
        hashtags: ({ text, indices }) => ({
          href: `https://twitter.com/hashtag/${text}`,
          text: `#${text}`,
          indices
        }),
        user_mentions: ({ id_str, name, indices }) => ({
          href: `https://twitter.com/intent/user?user_id=${id_str}`,
          text: `@${name}`,
          indices
        }),
        urls: ({ expanded_url, display_url, indices }) => ({
          href: expanded_url,
          text: display_url,
          indices
        })
      };
      var urlPreParsers = [
        {
          type: "photo",
          regex: /https?:\/\/(?:www\.)?instagram.com\/p\/([^\s\/]+)\/?/,
          toMediaUrl: (match) => `https://instagr.am/p/${match[1]}/media/?size=m`
        },
        {
          type: "youtube",
          regex: /https?:\/\/(?:youtu.be\/|(?:m|www).youtube.com\/watch\?v=)([^\s&]+)/,
          toMediaUrl: (match) => `https://www.youtube.com/embed/${match[1]}?autohide=1&modestbranding=1&rel=0&theme=light`
        },
        {
          type: "vimeo",
          regex: /https?:\/\/vimeo.com\/(\S+)$/,
          toMediaUrl: (match) => `https://player.vimeo.com/video/${match[1]}`
        },
        {
          type: "vine",
          regex: /https?:\/\/vine.co\/v\/(\S+)$/,
          toMediaUrl: (match) => `https://vine.co/v/${match[1]}/embed/simple`
        }
      ];
      function preParseUrl(entities, preParser) {
        if (entities.media && entities.media.length) {
          return;
        }
        if (!entities.urls) {
          return;
        }
        entities.media = entities.media || [];
        entities.urls = entities.urls.filter(({ expanded_url, indices }) => {
          const match = expanded_url.match(preParser.regex);
          if (match) {
            entities.media.push({
              type: preParser.type,
              expanded_url,
              indices,
              media_url_https: preParser.toMediaUrl(match)
            });
            return false;
          }
          return true;
        });
      }
      function handleExtendedEntities(tweet) {
        const { extended_entities, entities } = tweet;
        if (!extended_entities) {
          return;
        }
        if (!extended_entities.media) {
          return;
        }
        const id2emedia = {};
        extended_entities.media.forEach((emedia) => {
          if (emedia.type === "video" || emedia.type == "animated_gif") {
            id2emedia[emedia.id_str] = emedia;
          }
        });
        entities.media = entities.media.map((media) => id2emedia[media.id_str] || media);
        delete tweet.extended_entities;
      }
      function handleExtendedCompatibilityEntities(tweet) {
        if (!tweet.extended_tweet) {
          return;
        }
        tweet.full_text = tweet.extended_tweet.full_text;
        tweet.entities = tweet.extended_tweet.entities;
      }
      function parseTweet(tweet, username, opts) {
        handleExtendedCompatibilityEntities(tweet);
        const parsed = {
          href: `https://twitter.com/${username}/status/${tweet.id_str}`,
          text: tweet.full_text || tweet.text,
          date: opts.formatDate(tweet.created_at),
          textAdjustment: []
        };
        handleExtendedEntities(tweet);
        urlPreParsers.forEach(preParseUrl.bind(null, tweet.entities));
        Object.entries(entityParsers).forEach(
          ([type, parser]) => parseEntityType(tweet.entities, parsed, type, parser)
        );
        adjustText(parsed);
        if (opts.emojis2images) {
          handleEmojis(parsed);
        }
        return parsed;
      }
      function htmlTweet(tweet) {
        const content = [
          el("a.date", tweet.date, { href: tweet.href, target: "_blank", rel: "noopener" }),
          el(".text", tweet.text)
        ];
        if (tweet.photo) {
          const img = el("img", { src: tweet.photo.src });
          content.push(el("a.photo", img, { href: tweet.photo.url, target: "_blank", rel: "noopener" }));
        }
        if (tweet.iframe) {
          content.push(el("iframe", { src: tweet.iframe.src, "class": tweet.iframe.service }));
        }
        if (tweet.video) {
          const sources = Object.entries(tweet.video.source).map(([type, src]) => el("source", { src, type })).join("");
          content.push(el("video", sources, {
            controls: "",
            poster: tweet.video.poster
          }));
        }
        return content.join("");
      }
      function tweet2html(tweet, username, opts = { formatDate }) {
        return htmlTweet(parseTweet(tweet, username, opts));
      }
    }
  });

  // lib/client/resort/twitter.js
  var require_twitter = __commonJS({
    "lib/client/resort/twitter.js"(exports, module) {
      var el = require_el_component();
      var tweet2html = require_tweet_html();
      module.exports = render;
      module.exports.section = 1;
      module.exports.type = "twitter";
      function renderTweets(timeline, { tweets, user }) {
        timeline.innerHTML = tweets.map((tweet) => el("li.tweet", tweet2html(tweet, user))).join("");
      }
      function render(tt, twitter) {
        renderTweets(tt.querySelector(".timeline"), twitter);
        return true;
      }
    }
  });

  // lib/client/resort/weather.js
  var require_weather = __commonJS({
    "lib/client/resort/weather.js"(exports, module) {
      var day = 24 * 60 * 60 * 1e3;
      module.exports = render;
      module.exports.section = 1;
      module.exports.type = "weather";
      function renderIcon(li, icon) {
        if (Array.isArray(icon)) {
          icon.forEach((cl, i) => li.item(i).setAttribute("class", cl));
        }
      }
      function renderNotice(el, notice) {
        if (!notice) {
          return el.classList.add("hidden");
        }
        el.classList.remove("hidden");
        el = el.querySelector("a");
        el.setAttribute("href", notice.href);
        el.setAttribute("title", `Go to ${notice.site}`);
        el = el.querySelector("img");
        el.setAttribute("src", notice.img);
        el.setAttribute("style", `width:${notice.width}px;`);
        el.setAttribute("alt", notice.site);
      }
      function render(div, weather) {
        if (Date.now() - weather.timestamp > day) {
          return false;
        }
        renderIcon(div.querySelectorAll(".weather-icon > ul > li"), weather.icon);
        div.querySelector(".temperature").innerHTML = `${weather.temperature.max}&deg;F`;
        const snowforecast = div.querySelector(".snowforecast");
        snowforecast.classList.toggle("hidden", !weather.snow);
        if (weather.snow) {
          snowforecast.innerHTML = `${weather.snow}"`;
        }
        div.querySelector(".conditions").innerHTML = weather.conditions;
        div.querySelector(".text").innerHTML = weather.text;
        renderNotice(div.querySelector(".notice"), weather.notice);
        return true;
      }
    }
  });

  // node_modules/transform-property/index.js
  var require_transform_property = __commonJS({
    "node_modules/transform-property/index.js"(exports, module) {
      var styles = [
        "webkitTransform",
        "MozTransform",
        "msTransform",
        "OTransform",
        "transform"
      ];
      var el = document.createElement("p");
      var style;
      for (i = 0; i < styles.length; i++) {
        style = styles[i];
        if (null != el.style[style]) {
          module.exports = style;
          break;
        }
      }
      var i;
    }
  });

  // node_modules/has-translate3d/index.js
  var require_has_translate3d = __commonJS({
    "node_modules/has-translate3d/index.js"(exports, module) {
      var prop = require_transform_property();
      if (!prop || !window.getComputedStyle) {
        module.exports = false;
      } else {
        map = {
          webkitTransform: "-webkit-transform",
          OTransform: "-o-transform",
          msTransform: "-ms-transform",
          MozTransform: "-moz-transform",
          transform: "transform"
        };
        el = document.createElement("div");
        el.style[prop] = "translate3d(1px,1px,1px)";
        document.body.insertBefore(el, null);
        val = getComputedStyle(el).getPropertyValue(map[prop]);
        document.body.removeChild(el);
        module.exports = null != val && val.length && "none" != val;
      }
      var map;
      var el;
      var val;
    }
  });

  // node_modules/component-emitter/index.js
  var require_component_emitter = __commonJS({
    "node_modules/component-emitter/index.js"(exports, module) {
      if (typeof module !== "undefined") {
        module.exports = Emitter;
      }
      function Emitter(obj) {
        if (obj)
          return mixin(obj);
      }
      function mixin(obj) {
        for (var key in Emitter.prototype) {
          obj[key] = Emitter.prototype[key];
        }
        return obj;
      }
      Emitter.prototype.on = Emitter.prototype.addEventListener = function(event, fn) {
        this._callbacks = this._callbacks || {};
        (this._callbacks["$" + event] = this._callbacks["$" + event] || []).push(fn);
        return this;
      };
      Emitter.prototype.once = function(event, fn) {
        function on() {
          this.off(event, on);
          fn.apply(this, arguments);
        }
        on.fn = fn;
        this.on(event, on);
        return this;
      };
      Emitter.prototype.off = Emitter.prototype.removeListener = Emitter.prototype.removeAllListeners = Emitter.prototype.removeEventListener = function(event, fn) {
        this._callbacks = this._callbacks || {};
        if (0 == arguments.length) {
          this._callbacks = {};
          return this;
        }
        var callbacks = this._callbacks["$" + event];
        if (!callbacks)
          return this;
        if (1 == arguments.length) {
          delete this._callbacks["$" + event];
          return this;
        }
        var cb;
        for (var i = 0; i < callbacks.length; i++) {
          cb = callbacks[i];
          if (cb === fn || cb.fn === fn) {
            callbacks.splice(i, 1);
            break;
          }
        }
        if (callbacks.length === 0) {
          delete this._callbacks["$" + event];
        }
        return this;
      };
      Emitter.prototype.emit = function(event) {
        this._callbacks = this._callbacks || {};
        var args = new Array(arguments.length - 1), callbacks = this._callbacks["$" + event];
        for (var i = 1; i < arguments.length; i++) {
          args[i - 1] = arguments[i];
        }
        if (callbacks) {
          callbacks = callbacks.slice(0);
          for (var i = 0, len = callbacks.length; i < len; ++i) {
            callbacks[i].apply(this, args);
          }
        }
        return this;
      };
      Emitter.prototype.listeners = function(event) {
        this._callbacks = this._callbacks || {};
        return this._callbacks["$" + event] || [];
      };
      Emitter.prototype.hasListeners = function(event) {
        return !!this.listeners(event).length;
      };
    }
  });

  // node_modules/@pirxpilot/events/index.js
  var require_events = __commonJS({
    "node_modules/@pirxpilot/events/index.js"(exports, module) {
      module.exports = events;
      function events(el, obj) {
        var handlers = {};
        function bind(name, handler, opts) {
          if (!handler) {
            handler = name;
          }
          if (typeof handler === "string") {
            handler = obj[handler].bind(obj);
          }
          el.addEventListener(name, handler, opts);
          handlers[name] = {
            handler,
            opts
          };
        }
        function do_unbind(name) {
          var h = handlers[name];
          if (!h) {
            return;
          }
          el.removeEventListener(name, h.handler, h.opts);
          delete handlers[name];
        }
        function unbind(name) {
          if (!name) {
            return unbindAll();
          }
          do_unbind(name);
        }
        function unbindAll() {
          Object.keys(handlers).forEach(do_unbind);
        }
        return {
          bind,
          unbind
        };
      }
    }
  });

  // node_modules/@pirxpilot/swipe/index.js
  var require_swipe = __commonJS({
    "node_modules/@pirxpilot/swipe/index.js"(exports, module) {
      var has3d = require_has_translate3d();
      var Emitter = require_component_emitter();
      var events = require_events();
      var min = Math.min;
      var max = Math.max;
      module.exports = Swipe;
      function Swipe(el) {
        if (!(this instanceof Swipe))
          return new Swipe(el);
        if (!el)
          throw new TypeError("Swipe() requires an element");
        this.child = el.children[0];
        this.touchAction("none");
        this.currentEl = this.children().visible[0];
        this.currentVisible = 0;
        this.current = 0;
        this.el = el;
        this.refresh();
        this.interval(5e3);
        this.duration(300);
        this.fastThreshold(200);
        this.threshold(0.5);
        this.show(0, 0, { silent: true });
        this.bind();
      }
      Emitter(Swipe.prototype);
      Swipe.prototype.threshold = function(n) {
        this._threshold = n;
      };
      Swipe.prototype.fastThreshold = function(ms) {
        this._fastThreshold = ms;
      };
      Swipe.prototype.refresh = function() {
        var children = this.children();
        var visible2 = children.visible.length;
        var prev = this.visible || visible2;
        var i = indexOf(children.visible, this.currentEl);
        if (visible2 < prev && i <= this.currentVisible && i >= 0) {
          this.currentVisible -= this.currentVisible - i;
        } else if (visible2 > prev && i > this.currentVisible) {
          this.currentVisible += i - this.currentVisible;
        }
        this.visible = visible2;
        this.childWidth = this.el.getBoundingClientRect().width;
        this.width = Math.ceil(this.childWidth * visible2);
        this.child.style.width = this.width + "px";
        this.child.style.height = this.height + "px";
        this.show(this.currentVisible, 0, { silent: true });
      };
      Swipe.prototype.bind = function() {
        this.events = events(this.child, this);
        this.docEvents = events(document, this);
        if ("PointerEvent" in window) {
          this.events.bind("pointerdown", "ontouchstart");
          this.events.bind("pointermove", "ontouchmove");
          this.events.bind("pointerup", "ontouchend");
          this.events.bind("pointercancel", "ontouchend");
        } else {
          this.events.bind("mousedown", "ontouchstart");
          this.events.bind("mousemove", "ontouchmove");
          this.docEvents.bind("mouseup", "ontouchend");
          this.events.bind("touchstart", "ontouchstart");
          this.events.bind("touchmove", "ontouchmove");
          this.docEvents.bind("touchend", "ontouchend");
        }
      };
      Swipe.prototype.unbind = function() {
        this.events.unbind();
        this.docEvents.unbind();
      };
      Swipe.prototype.ontouchstart = function(e) {
        this.transitionDuration(0);
        this.dx = 0;
        this.updown = null;
        if ("PointerEvent" in window) {
          e.target.setPointerCapture(e.pointerId);
        }
        var touch = this.getTouch(e);
        this.down = {
          x: touch.pageX,
          y: touch.pageY,
          at: new Date()
        };
      };
      Swipe.prototype.ontouchmove = function(e) {
        if (!this.down || this.updown)
          return;
        var touch = this.getTouch(e);
        if (!touch)
          return;
        var down = this.down;
        var x = touch.pageX;
        var w = this.childWidth;
        var i = this.currentVisible;
        this.dx = x - down.x;
        if (null == this.updown) {
          var y = touch.pageY;
          var dy = y - down.y;
          var slope = dy / this.dx;
          if (slope > 1 || slope < -1) {
            this.updown = true;
            return;
          } else {
            this.updown = false;
          }
        }
        e.preventDefault();
        var dir = this.dx < 0 ? 1 : 0;
        if (this.isFirst() && 0 === dir)
          this.dx /= 2;
        if (this.isLast() && 1 === dir)
          this.dx /= 2;
        this.translate(i * w + -this.dx);
      };
      Swipe.prototype.ontouchend = function(e) {
        e.stopPropagation();
        if (!this.down)
          return;
        if ("PointerEvent" in window) {
          e.target.releasePointerCapture(e.pointerId);
        }
        var dx = this.dx;
        var w = this.childWidth;
        var ms = new Date() - this.down.at;
        var threshold = ms < this._fastThreshold ? w / 10 : w * this._threshold;
        var dir = dx < 0 ? 1 : 0;
        var half = Math.abs(dx) >= threshold;
        this.down = null;
        if (this.isFirst() && 1 == dir && half)
          return this.next();
        if (this.isFirst())
          return this.prev();
        if (this.isLast() && 1 == dir)
          return this.next();
        if (1 === dir && half)
          return this.next();
        if (0 === dir && half)
          return this.prev();
        this.show(this.currentVisible);
      };
      Swipe.prototype.duration = function(ms) {
        this._duration = ms;
        return this;
      };
      Swipe.prototype.interval = function(ms) {
        this._interval = ms;
        return this;
      };
      Swipe.prototype.play = function() {
        if (this.timer)
          return;
        this.timer = setInterval(this.cycle.bind(this), this._interval);
        return this;
      };
      Swipe.prototype.stop = function() {
        clearInterval(this.timer);
        this.timer = null;
        return this;
      };
      Swipe.prototype.cycle = function() {
        if (this.isLast()) {
          this.currentVisible = -1;
          this.next();
        } else {
          this.next();
        }
      };
      Swipe.prototype.isFirst = function() {
        return this.currentVisible === 0;
      };
      Swipe.prototype.isLast = function() {
        return this.currentVisible == this.visible - 1;
      };
      Swipe.prototype.prev = function() {
        this.show(this.currentVisible - 1);
        return this;
      };
      Swipe.prototype.next = function() {
        this.show(this.currentVisible + 1);
        return this;
      };
      Swipe.prototype.show = function(i, ms, options) {
        options = options || {};
        if (null == ms)
          ms = this._duration;
        var self = this;
        var children = this.children();
        i = max(0, min(i, children.visible.length - 1));
        this.currentVisible = i;
        this.currentEl = children.visible[i];
        this.current = indexOf(children.all, this.currentEl);
        this.transitionDuration(ms);
        this.translate(this.childWidth * i);
        if (!options.silent) {
          this.emit("showing", this.current, this.currentEl);
          if (!ms)
            return this;
          this.child.addEventListener("transitionend", function shown() {
            if (self.current == i)
              self.emit("show", self.current, self.currentEl);
            self.child.removeEventListener("transitionend", shown);
          });
        }
        return this;
      };
      Swipe.prototype.children = function() {
        var els = this.child.children;
        var ret = {
          all: els,
          visible: [],
          hidden: []
        };
        for (var i = 0; i < els.length; i++) {
          var el = els[i];
          if (visible(el)) {
            ret.visible.push(el);
          } else {
            ret.hidden.push(el);
          }
        }
        return ret;
      };
      Swipe.prototype.transitionDuration = function(ms) {
        var s = this.child.style;
        s.transition = ms + "ms transform";
      };
      Swipe.prototype.translate = function(x) {
        var s = this.child.style;
        x = -x;
        if (has3d) {
          s.transform = "translate3d(" + x + "px, 0, 0)";
        } else {
          s.transform = "translateX(" + x + "px)";
        }
      };
      Swipe.prototype.touchAction = function(value) {
        var s = this.child.style;
        s.touchAction = value;
      };
      Swipe.prototype.getTouch = function(e) {
        var touch = e;
        if (e.changedTouches && e.changedTouches.length > 0) {
          touch = e.changedTouches[0];
        }
        return touch;
      };
      function indexOf(els, el) {
        for (var i = 0; i < els.length; i++) {
          if (els[i] == el)
            return i;
        }
        return -1;
      }
      function visible(el) {
        return getComputedStyle(el).display != "none";
      }
    }
  });

  // node_modules/tiny-pager/index.js
  var require_tiny_pager = __commonJS({
    "node_modules/tiny-pager/index.js"(exports, module) {
      var Emitter = require_component_emitter();
      var el = require_el_component();
      module.exports = Pager;
      function Pager(el2) {
        if (!(this instanceof Pager)) {
          return new Pager(el2);
        }
        this._total = 0;
        this._current = 0;
        this.el = el2;
        el2.addEventListener("click", this.onclick.bind(this));
      }
      Emitter(Pager.prototype);
      Pager.prototype.total = function total(t) {
        this._total = t;
        return this;
      };
      Pager.prototype.onclick = function onclick(e) {
        var page, target = e.target || e.srcElement;
        page = Array.prototype.indexOf.call(this.el.children, target);
        if (page < 0) {
          return;
        }
        e.preventDefault();
        e.stopPropagation();
        this.select(page);
      };
      Pager.prototype.select = function select(page, opts) {
        var silent = opts && opts.silent;
        if (page === this._current) {
          return;
        }
        Array.prototype.forEach.call(this.el.children, function(a, i) {
          a.className = i == page ? "active" : "inactive";
        });
        this._current = page;
        if (!silent) {
          this.emit("show", this._current);
        }
        return this;
      };
      Pager.prototype.render = function render() {
        var i, html = [];
        for (i = 0; i < this._total; i++) {
          html.push(i !== this._current ? "a.inactive" : "a.active");
        }
        this.el.innerHTML = html.map(function(item) {
          return el(item);
        }).join("");
        return this;
      };
    }
  });

  // lib/client/resort/webcams.js
  var require_webcams = __commonJS({
    "lib/client/resort/webcams.js"(exports, module) {
      var swipe = require_swipe();
      var pager = require_tiny_pager();
      module.exports = render;
      module.exports.section = 1;
      module.exports.type = "webcams";
      var DELAY = 15 * 60 * 1e3;
      function swiper(el) {
        const ui = {
          swipe: swipe(el.swipe),
          pager: pager(el.pager)
        };
        function refresh(count) {
          ui.swipe.refresh();
          ui.pager.total(count).render();
          el.pager.classList.toggle("hidden", count < 2);
        }
        function current() {
          return ui.swipe.currentVisible;
        }
        ui.pager.on("show", (n) => {
          ui.swipe.show(n, null, {
            silent: true
          });
        });
        ui.swipe.on("show", (n) => {
          ui.pager.select(n, {
            silent: true
          });
        });
        return {
          refresh,
          current
        };
      }
      function render(div, webcams) {
        let cams;
        let timer;
        let ui;
        function refresh() {
          cams.forEach((it) => {
            let imgs;
            let i;
            let fn;
            imgs = it.node.querySelectorAll("img");
            fn = swap.bind(null, imgs, it);
            for (i = 0; i < imgs.length; i++) {
              imgs[i].onload = fn;
            }
            imgs[it.inactive].setAttribute("src", imgs[it.active].getAttribute("src"));
          });
        }
        function initCam(cam, { source, image, name, notice }) {
          cam.querySelector("a").setAttribute("href", source);
          cam.querySelector("img.active").setAttribute("src", image);
          cam.querySelector("img.inactive").setAttribute("src", "");
          cam.querySelector(".title").innerHTML = name;
          cam.querySelector(".notice").innerHTML = notice || "";
          cams.push({
            node: cam,
            active: 0,
            inactive: 1
          });
        }
        function init2() {
          if (timer) {
            clearInterval(timer);
            timer = void 0;
          }
          cams = [];
          const ul = div.querySelector("ul");
          const li = ul.querySelectorAll("li");
          webcams.forEach((webcam, i) => {
            let cam;
            if (i < li.length) {
              cam = li[i];
            } else {
              cam = ul.appendChild(li[0].cloneNode(true));
            }
            initCam(cam.querySelector(".desktop"), webcam);
            initCam(cam.querySelector(".mobile"), webcam.mobile || webcam);
          });
          for (let i = Math.max(1, webcams.length); i < li.length; i++) {
            ul.removeChild(li[i]);
          }
          if (!ui) {
            ui = swiper({
              swipe: div.querySelector(".swipe"),
              pager: div.querySelector(".pager")
            });
          }
          ui.refresh(webcams.length);
          if (!cams.length) {
            return false;
          }
          timer = setInterval(refresh, DELAY);
          return true;
        }
        function swap(imgs, it) {
          it.active = (it.active + 1) % 2;
          it.inactive = (it.inactive + 1) % 2;
          imgs[it.inactive].setAttribute("class", "inactive");
          imgs[it.active].setAttribute("class", "active");
          imgs[it.inactive].setAttribute("src", "");
        }
        init2();
      }
    }
  });

  // lib/client/resort/snow.js
  var require_snow = __commonJS({
    "lib/client/resort/snow.js"(exports, module) {
      var day = 24 * 60 * 60 * 1e3;
      module.exports = render;
      module.exports.section = 1;
      module.exports.type = "snow";
      function renderField(div, field, snow) {
        var el = div.querySelector("." + field);
        var value = snow[field];
        el.querySelector(".value").innerHTML = value || "";
        el.classList.toggle("hidden", !value);
      }
      function render(div, snow) {
        if (Date.now() - snow.timestamp > day) {
          return false;
        }
        renderField(div, "snowfall", snow);
        renderField(div, "depth", snow);
        renderField(div, "condition", snow);
        div.querySelector(".notice").innerHTML = snow.notice || "";
        return true;
      }
    }
  });

  // lib/client/resort/index.js
  var require_resort = __commonJS({
    "lib/client/resort/index.js"(exports, module) {
      var dom = require_dom();
      module.exports = resort2;
      function renderOpening(node, opening) {
        if (opening) {
          opening = opening.split("-");
          if (new Date(opening[0], opening[1] - 1, opening[2]).getTime() <= Date.now()) {
            node.dataset.opening = "";
            node = node.querySelector(".opening-date");
            node.parentNode.removeChild(node);
          }
        }
      }
      var plugins = [
        require_lifts(),
        require_twitter(),
        require_weather(),
        require_webcams(),
        require_snow()
      ];
      function renderPlugins(node, getData) {
        const sec = dom.next(node);
        plugins.forEach((plugin) => {
          const data = getData(plugin.type);
          if (!data) {
            return;
          }
          const el = plugin.section ? sec.querySelector(`.${plugin.type}`) : node;
          if (!el) {
            return;
          }
          const show = plugin(el, data);
          if (typeof show === "boolean") {
            el.classList.toggle("visible", show);
            el.classList.toggle("hiddent", !show);
          }
        });
      }
      function render(node, resort3) {
        const tsPrev = JSON.parse(node.dataset.timestamp);
        const tsCurr = resort3.timestamp;
        renderPlugins(node, (plugin) => {
          if (!resort3[plugin] || !tsCurr[plugin]) {
            return;
          }
          if (tsPrev[plugin] && tsCurr[plugin] <= tsPrev[plugin]) {
            return;
          }
          return resort3[plugin];
        });
        renderOpening(node, node.dataset.opening);
        node.dataset.timestamp = JSON.stringify(tsCurr);
      }
      var MAX = 12;
      function resort2(node) {
        let updateCounter = MAX;
        function updateTimeToRefresh(counter) {
          const ttr = node.querySelector(".time-to-refresh");
          ttr.innerHTML = counter * 5;
        }
        function refresh(now) {
          const id = node.dataset.resort;
          if (!node.classList.contains("open")) {
            return;
          }
          if (now) {
            updateCounter = 0;
          } else {
            updateCounter -= 1;
          }
          if (updateCounter > 0) {
            updateTimeToRefresh(updateCounter);
            return;
          }
          updateCounter = MAX;
          updateTimeToRefresh(updateCounter);
          fetch(`/api/resort/${id}`).then((res) => res.json()).then((resort3) => render(node, resort3));
        }
        function init2() {
          const ds = node.dataset;
          updateTimeToRefresh(MAX);
          renderPlugins(node, (plugin) => {
            const data = ds[plugin];
            return data && JSON.parse(data);
          });
        }
        return {
          init: init2,
          refresh,
          node
        };
      }
    }
  });

  // node_modules/js-cookie/src/js.cookie.js
  var require_js_cookie = __commonJS({
    "node_modules/js-cookie/src/js.cookie.js"(exports, module) {
      (function(factory) {
        var registeredInModuleLoader;
        if (typeof define === "function" && define.amd) {
          define(factory);
          registeredInModuleLoader = true;
        }
        if (typeof exports === "object") {
          module.exports = factory();
          registeredInModuleLoader = true;
        }
        if (!registeredInModuleLoader) {
          var OldCookies = window.Cookies;
          var api = window.Cookies = factory();
          api.noConflict = function() {
            window.Cookies = OldCookies;
            return api;
          };
        }
      })(function() {
        function extend() {
          var i = 0;
          var result = {};
          for (; i < arguments.length; i++) {
            var attributes = arguments[i];
            for (var key in attributes) {
              result[key] = attributes[key];
            }
          }
          return result;
        }
        function decode(s) {
          return s.replace(/(%[0-9A-Z]{2})+/g, decodeURIComponent);
        }
        function init2(converter) {
          function api() {
          }
          function set(key, value, attributes) {
            if (typeof document === "undefined") {
              return;
            }
            attributes = extend({
              path: "/"
            }, api.defaults, attributes);
            if (typeof attributes.expires === "number") {
              attributes.expires = new Date(new Date() * 1 + attributes.expires * 864e5);
            }
            attributes.expires = attributes.expires ? attributes.expires.toUTCString() : "";
            try {
              var result = JSON.stringify(value);
              if (/^[\{\[]/.test(result)) {
                value = result;
              }
            } catch (e) {
            }
            value = converter.write ? converter.write(value, key) : encodeURIComponent(String(value)).replace(/%(23|24|26|2B|3A|3C|3E|3D|2F|3F|40|5B|5D|5E|60|7B|7D|7C)/g, decodeURIComponent);
            key = encodeURIComponent(String(key)).replace(/%(23|24|26|2B|5E|60|7C)/g, decodeURIComponent).replace(/[\(\)]/g, escape);
            var stringifiedAttributes = "";
            for (var attributeName in attributes) {
              if (!attributes[attributeName]) {
                continue;
              }
              stringifiedAttributes += "; " + attributeName;
              if (attributes[attributeName] === true) {
                continue;
              }
              stringifiedAttributes += "=" + attributes[attributeName].split(";")[0];
            }
            return document.cookie = key + "=" + value + stringifiedAttributes;
          }
          function get(key, json) {
            if (typeof document === "undefined") {
              return;
            }
            var jar = {};
            var cookies = document.cookie ? document.cookie.split("; ") : [];
            var i = 0;
            for (; i < cookies.length; i++) {
              var parts = cookies[i].split("=");
              var cookie = parts.slice(1).join("=");
              if (!json && cookie.charAt(0) === '"') {
                cookie = cookie.slice(1, -1);
              }
              try {
                var name = decode(parts[0]);
                cookie = (converter.read || converter)(cookie, name) || decode(cookie);
                if (json) {
                  try {
                    cookie = JSON.parse(cookie);
                  } catch (e) {
                  }
                }
                jar[name] = cookie;
                if (key === name) {
                  break;
                }
              } catch (e) {
              }
            }
            return key ? jar[key] : jar;
          }
          api.set = set;
          api.get = function(key) {
            return get(key, false);
          };
          api.getJSON = function(key) {
            return get(key, true);
          };
          api.remove = function(key, attributes) {
            set(key, "", extend(attributes, {
              expires: -1
            }));
          };
          api.defaults = {};
          api.withConverter = init2;
          return api;
        }
        return init2(function() {
        });
      });
    }
  });

  // node_modules/yields-keycode/index.js
  var require_yields_keycode = __commonJS({
    "node_modules/yields-keycode/index.js"(exports, module) {
      var map = {
        backspace: 8,
        command: 91,
        tab: 9,
        clear: 12,
        enter: 13,
        shift: 16,
        ctrl: 17,
        alt: 18,
        capslock: 20,
        escape: 27,
        esc: 27,
        space: 32,
        pageup: 33,
        pagedown: 34,
        end: 35,
        home: 36,
        left: 37,
        up: 38,
        right: 39,
        down: 40,
        del: 46,
        comma: 188,
        f1: 112,
        f2: 113,
        f3: 114,
        f4: 115,
        f5: 116,
        f6: 117,
        f7: 118,
        f8: 119,
        f9: 120,
        f10: 121,
        f11: 122,
        f12: 123,
        ",": 188,
        ".": 190,
        "/": 191,
        "`": 192,
        "-": 189,
        "=": 187,
        ";": 186,
        "[": 219,
        "\\": 220,
        "]": 221,
        "'": 222
      };
      module.exports = function(name) {
        return map[name.toLowerCase()] || name.toUpperCase().charCodeAt(0);
      };
    }
  });

  // node_modules/yields-k-sequence/index.js
  var require_yields_k_sequence = __commonJS({
    "node_modules/yields-k-sequence/index.js"(exports, module) {
      var keycode = require_yields_keycode();
      module.exports = sequence;
      function sequence(keys, ms, fn) {
        var codes = keys.split(/ +/).map(keycode), clen = codes.length, seq = [], i = 0, prev;
        if (2 == arguments.length) {
          fn = ms;
          ms = 500;
        }
        return function(e) {
          var code = codes[i++];
          if (42 != code && code != e.which)
            return reset();
          if (prev && new Date() - prev > ms)
            return reset();
          var len = seq.push(e.which);
          prev = new Date();
          if (len != clen)
            return;
          reset();
          fn(e);
        };
        function reset() {
          prev = null;
          seq = [];
          i = 0;
        }
      }
    }
  });

  // node_modules/component-os/index.js
  var require_component_os = __commonJS({
    "node_modules/component-os/index.js"(exports, module) {
      module.exports = os();
      function os() {
        var ua = navigator.userAgent;
        if (/mac/i.test(ua))
          return "mac";
        if (/win/i.test(ua))
          return "windows";
        if (/linux/i.test(ua))
          return "linux";
      }
    }
  });

  // node_modules/@pirxpilot/k/lib/proto.js
  var require_proto = __commonJS({
    "node_modules/@pirxpilot/k/lib/proto.js"(exports) {
      var sequence = require_yields_k_sequence();
      var keycode = require_yields_keycode();
      var os = require_component_os();
      var modifiers = {
        224: "command",
        91: "command",
        93: "command",
        16: "shift",
        17: "ctrl",
        18: "alt"
      };
      exports["super"] = "mac" == os ? "command" : "ctrl";
      exports.handle = function(e, fn) {
        var ignore = this.ignore;
        var event = e.type;
        var code = e.which;
        if (fn)
          return this.bind(e, fn);
        var mod = modifiers[code];
        if ("keydown" == event && mod) {
          this["super"] = exports["super"] == mod;
          this[mod] = true;
          this.modifiers = true;
          this.active++;
          return;
        }
        if (ignore && ignore(e))
          return;
        var all = this.listeners;
        for (var i = 0; i < all.length; ++i) {
          var invoke = true;
          var obj = all[i];
          var seq = obj.seq;
          var mods = obj.mods;
          fn = seq || obj.fn;
          if (!seq && code != obj.code)
            continue;
          if (event != obj.event)
            continue;
          if (this.active != obj.mods.length)
            continue;
          for (var j = 0; j < mods.length; ++j) {
            if (!this[mods[j]]) {
              invoke = null;
              break;
            }
          }
          if (invoke) {
            fn(e);
          }
        }
      };
      exports.destroy = function() {
        this.el.removeEventListener("keydown", this._handle);
        this.el.removeEventListener("keyup", this._handle);
        this.el.removeEventListener("keyup", this._clear);
        this.el.removeEventListener("focus", this._clear);
        this.listeners = [];
      };
      exports.unbind = function(keys, fn) {
        var fns = this.listeners;
        var len = fns.length;
        var all;
        if (0 === arguments.length) {
          this.listeners = [];
          return this;
        }
        all = parseKeys(keys);
        for (var i = 0; i < all.length; ++i) {
          for (var j = 0, obj; j < len; ++j) {
            obj = fns[j];
            if (!obj)
              continue;
            if (fn && obj.fn != fn)
              continue;
            if (obj.key != all[i].key)
              continue;
            if (!matches(obj, all[i]))
              continue;
            fns.splice(j--, 1);
          }
        }
        return this;
      };
      exports.bind = function(event, keys, fn) {
        var fns = this.listeners;
        var len;
        var all;
        if (2 == arguments.length) {
          fn = keys;
          keys = event;
          event = "keydown";
        }
        all = parseKeys(keys);
        len = all.length;
        for (var i = 0; i < len; ++i) {
          var obj = all[i];
          obj.seq = obj.seq && sequence(obj.key, fn);
          obj.event = event;
          obj.fn = fn;
          fns.push(obj);
        }
        return this;
      };
      exports.up = function(keys, fn) {
        return this.bind("keyup", keys, fn);
      };
      exports.down = function(keys, fn) {
        return this.bind("keydown", keys, fn);
      };
      exports.clear = function(e) {
        var code = e.keyCode || e.which;
        if (!(code in modifiers))
          return;
        this.active--;
        this[modifiers[code]] = null;
        this.modifiers = this.command || this.shift || this.ctrl || this.alt;
      };
      exports.reset = function() {
        this.active = 0;
        this.modifiers = this.command = this.shift = this.ctrl = this.alt = null;
      };
      exports.ignore = function(e) {
        var el = e.target || e.srcElement;
        var name = el.tagName.toLowerCase();
        return "textarea" == name || "select" == name || "input" == name;
      };
      function parseKeys(keys) {
        keys = keys.replace("super", exports["super"]);
        var all = "," != keys ? keys.split(/ *, */) : [","];
        var ret = [];
        for (var i = 0; i < all.length; ++i) {
          if ("" === all[i])
            continue;
          var mods = all[i].split(/ *\+ */);
          var key = mods.pop() || ",";
          ret.push({
            seq: !!(~key.indexOf(" ") || ~key.indexOf("*")),
            code: keycode(key),
            mods,
            key
          });
        }
        return ret;
      }
      function matches(a, b) {
        return 0 === b.mods.length || eql(a, b);
      }
      function eql(a, b) {
        a = a.mods.sort().toString();
        b = b.mods.sort().toString();
        return a == b;
      }
    }
  });

  // node_modules/@pirxpilot/k/lib/index.js
  var require_lib = __commonJS({
    "node_modules/@pirxpilot/k/lib/index.js"(exports, module) {
      var proto = require_proto();
      module.exports = function(el) {
        function k(e, fn) {
          k.handle(e, fn);
        }
        k._handle = proto.handle.bind(k);
        k._clear = proto.clear.bind(k);
        k._reset = proto.reset.bind(k);
        el.addEventListener("keydown", k._handle, false);
        el.addEventListener("keyup", k._handle, false);
        el.addEventListener("keyup", k._clear, false);
        el.addEventListener("focus", k._reset, false);
        for (var p in proto)
          k[p] = proto[p];
        k.listeners = [];
        k.active = 0;
        k.el = el;
        return k;
      };
    }
  });

  // lib/client/state/index.js
  var require_state = __commonJS({
    "lib/client/state/index.js"(exports, module) {
      var cookie = require_js_cookie();
      var k = require_lib()(window);
      module.exports = state2;
      function state2(nodes, st, keys) {
        const cookieName = `resorts-${st}`;
        const self = {
          load,
          save,
          update,
          read
        };
        function find(id) {
          return nodes.find((n) => n.dataset.resort === id);
        }
        function read() {
          const text = cookie.get(cookieName);
          return text && text.length ? text.split(",") : [];
        }
        function write(arr) {
          cookie.set(cookieName, arr.join(","), {
            expires: 30,
            path: "/",
            secure: window.location.protocol === "https:",
            sameSite: "strict"
          });
        }
        function update() {
          const state3 = read().reduce((memo, id) => {
            memo[id] = true;
            return memo;
          }, {});
          nodes.forEach(({ dataset, classList }) => {
            const id = dataset.resort;
            state3[id] = classList.contains(st);
          });
          const selected = Object.keys(state3).filter((id) => state3[id]);
          write(selected);
          return selected;
        }
        function save() {
          const selected = nodes.filter((n) => n.classList.contains(st)).map((n) => n.dataset.resort);
          write(selected);
          return selected;
        }
        function load() {
          const selected = read();
          selected.forEach((id) => {
            const node = find(id);
            if (node) {
              node.classList.add(st);
            }
          });
          return selected;
        }
        function all(on) {
          nodes.forEach((n) => n.classList.toggle(st, on));
          update();
        }
        if (keys) {
          k(keys.on, all.bind(null, true));
          k(keys.off, all.bind(null, false));
        }
        return self;
      }
    }
  });

  // lib/client/tag/index.js
  var require_tag = __commonJS({
    "lib/client/tag/index.js"(exports, module) {
      module.exports = tag2;
      function tag2(node) {
        let count;
        function update(c) {
          if (!count) {
            return;
          }
          count.innerHTML = c;
          node.classList.toggle("hidden", c <= 0);
        }
        if (node) {
          count = node.querySelector(".count");
        }
        return {
          update
        };
      }
    }
  });

  // lib/client/about/index.js
  var require_about = __commonJS({
    "lib/client/about/index.js"(exports, module) {
      var cookie = require_js_cookie();
      module.exports = about2;
      function about2() {
        const s = document.querySelector(".hidden .about");
        if (!s) {
          return;
        }
        if (!check()) {
          return;
        }
        const section = s.parentNode;
        const trigger = s.querySelector("a.close");
        trigger.addEventListener("click", (e) => {
          close();
          e.preventDefault();
        });
        open();
        function check() {
          return window.parent === window && typeof cookie.get("resorts-open") === "undefined";
        }
        function close() {
          section.classList.add("hidden");
        }
        function open() {
          section.classList.remove("hidden");
        }
      }
    }
  });

  // lib/client/stats/index.js
  var require_stats = __commonJS({
    "lib/client/stats/index.js"(exports, module) {
      module.exports = stats2;
      function stats2() {
        const pie = document.querySelector(".stats .pie");
        if (!pie) {
          return;
        }
        const data = JSON.parse(pie.dataset.stats);
        let ac = 0;
        const { style } = pie;
        Object.entries(data.percentage).forEach(
          ([key, value]) => style.setProperty(`--${key}`, `${ac += value}%`)
        );
      }
    }
  });

  // node_modules/debounce/index.js
  var require_debounce = __commonJS({
    "node_modules/debounce/index.js"(exports, module) {
      function debounce(func, wait, immediate) {
        var timeout, args, context, timestamp, result;
        if (null == wait)
          wait = 100;
        function later() {
          var last = Date.now() - timestamp;
          if (last < wait && last >= 0) {
            timeout = setTimeout(later, wait - last);
          } else {
            timeout = null;
            if (!immediate) {
              result = func.apply(context, args);
              context = args = null;
            }
          }
        }
        ;
        var debounced = function() {
          context = this;
          args = arguments;
          timestamp = Date.now();
          var callNow = immediate && !timeout;
          if (!timeout)
            timeout = setTimeout(later, wait);
          if (callNow) {
            result = func.apply(context, args);
            context = args = null;
          }
          return result;
        };
        debounced.clear = function() {
          if (timeout) {
            clearTimeout(timeout);
            timeout = null;
          }
        };
        debounced.flush = function() {
          if (timeout) {
            result = func.apply(context, args);
            context = args = null;
            clearTimeout(timeout);
            timeout = null;
          }
        };
        return debounced;
      }
      debounce.debounce = debounce;
      module.exports = debounce;
    }
  });

  // lib/client/boot/height.js
  var require_height = __commonJS({
    "lib/client/boot/height.js"(exports, module) {
      var debounce = require_debounce();
      module.exports = postHeight;
      function notify() {
        const widget = document.querySelector(".widget");
        if (!widget) {
          return;
        }
        window.parent.postMessage({
          height: widget.scrollHeight,
          resort: window.location.pathname.split("/").pop()
        }, "*");
      }
      function postHeight() {
        if (window === window.parent) {
          return;
        }
        notify();
        window.addEventListener("resize", debounce(notify, 300), true);
      }
    }
  });

  // lib/client/boot/service-worker.js
  var require_service_worker = __commonJS({
    "lib/client/boot/service-worker.js"(exports, module) {
      module.exports = register;
      function registrationHandler({ scope, installing, waiting, active }) {
        console.log("SW", scope);
        if (installing) {
          console.log("installing", installing.state);
        }
        if (waiting) {
          console.log("waiting", waiting.state);
        }
        if (active) {
          console.log("active", active.state);
        }
      }
      function register(url = "/sw.js") {
        if (navigator.serviceWorker && document.documentElement.hasAttribute("data-service-worker")) {
          return navigator.serviceWorker.register(url).then(registrationHandler).catch((reason) => console.log("SW registration failed!", reason));
        }
      }
    }
  });

  // lib/client/boot/twitter-intent.js
  var require_twitter_intent = __commonJS({
    "lib/client/boot/twitter-intent.js"(exports, module) {
      module.exports = twitterIntent2;
      function twitterIntent2(button) {
        if (window.__twitterIntentHandler) {
          return;
        }
        button.addEventListener("click", handleIntent, false);
        window.__twitterIntentHandler = true;
        const width = 550;
        const height2 = 420;
        const winHeight = screen.height;
        const winWidth = screen.width;
        function handleIntent(e) {
          const left = Math.round(winWidth / 2 - width / 2);
          let top = 0;
          if (winHeight > height2) {
            top = Math.round(winHeight / 2 - height2 / 2);
          }
          const options = [
            "scrollbars=yes,resizable=yes,toolbar=no,location=yes",
            `width=${width}`,
            `height=${height2}`,
            `left=${left}`,
            `top=${top}`
          ].join(",");
          window.open(button.href, "intent", options);
          e.preventDefault();
        }
      }
    }
  });

  // lib/client/boot/index.js
  var minimax = require_minimax();
  var resort = require_resort();
  var state = require_state();
  var tag = require_tag();
  var about = require_about();
  var stats = require_stats();
  var height = require_height();
  var serviceWorker = require_service_worker();
  var twitterIntent = require_twitter_intent();
  serviceWorker();
  init();
  function init() {
    const rnodes = Array.from(document.querySelectorAll(".resort"));
    const opens = state(rnodes, "open", {
      on: "shift + o",
      off: "shift + x"
    });
    const starred = state(rnodes, "starred");
    const starredTag = tag(document.querySelector(".tags .starred"));
    const resorts = rnodes.map((r) => resort(r));
    resorts.forEach((r) => {
      minimax(r.node, ".minimax").state("open").on((open) => {
        if (open) {
          r.refresh(true);
        }
        opens.update();
      });
      minimax(r.node, ".star").state("starred").on(() => starredTag.update(starred.update().length));
      r.init();
    });
    window.setInterval(() => resorts.forEach((r) => r.refresh()), 5 * 1e3);
    about();
    opens.update();
    starredTag.update(starred.load().length);
    const tfb = document.querySelector(".twitter-follow-button");
    if (tfb) {
      twitterIntent(tfb);
    }
    stats();
    height();
  }
})();
/*!
 * JavaScript Cookie v2.2.1
 * https://github.com/js-cookie/js-cookie
 *
 * Copyright 2006, 2015 Klaus Hartl & Fagner Brack
 * Released under the MIT license
 */
//# sourceMappingURL=liftie.js.map
